> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-waap-api-guides.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Region Locations

> List of All locations regions.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/dns_api.yaml get /dns/v2/locations/regions
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: d5490916607f
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: Zones
paths:
  /dns/v2/locations/regions:
    get:
      tags:
        - Locations
      summary: Region Locations
      description: List of All locations regions.
      operationId: RegionLocations
      responses:
        '200':
          description: RegionsResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionsResponse'
components:
  schemas:
    RegionsResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/LocationTranslations'
    LocationTranslations:
      type: object
      properties:
        names:
          type: object
          additionalProperties:
            type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````